Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cli
Class MfCliPmPerfJobSessionProxy

    java.lang.Object
      com.sun.mfwk.cli.MfCliPmPerfJobSessionProxy

public class MfCliPmPerfJobSessionProxy
extends java.lang.Object

Constructor Summary
`MfCliPmPerfJobSessionProxy(javax.management.ObjectName on, javax.management.MBeanServerConnection cc)`

Method Summary
`PerformanceMonitorKey` | `createPerformanceMonitorByValue(PerformanceMonitorValue pmValue)`
`ReportFormat[]` | `getReportFormats()`
`PerformanceMonitorValue` | `makePerformanceMonitorValue(java.lang.String value)`
`QueryValue` | `makeQueryValue(java.lang.String type)`
`PerformanceMonitorValueIterator` | `queryPerformanceMonitors(QueryValue query, java.lang.String[] attrNames)`
`void` | `removePerformanceMonitorByKey(PerformanceMonitorKey pmKey)`
`void` | `resumePerformanceMonitorByKey(PerformanceMonitorKey pmKey)`
`void` | `suspendPerformanceMonitorByKey(PerformanceMonitorKey pmKey)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfCliPmPerfJobSessionProxy

    public MfCliPmPerfJobSessionProxy(javax.management.ObjectName on,
                                      javax.management.MBeanServerConnection cc)
                               throws java.lang.Exception

Method Detail

### makePerformanceMonitorValue

    public PerformanceMonitorValue makePerformanceMonitorValue(java.lang.String value)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getReportFormats

    public ReportFormat[] getReportFormats()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createPerformanceMonitorByValue

    public PerformanceMonitorKey createPerformanceMonitorByValue(PerformanceMonitorValue pmValue)
                                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### makeQueryValue

    public QueryValue makeQueryValue(java.lang.String type)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### queryPerformanceMonitors

    public PerformanceMonitorValueIterator queryPerformanceMonitors(QueryValue query,
                                                                    java.lang.String[] attrNames)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### removePerformanceMonitorByKey

    public void removePerformanceMonitorByKey(PerformanceMonitorKey pmKey)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### suspendPerformanceMonitorByKey

    public void suspendPerformanceMonitorByKey(PerformanceMonitorKey pmKey)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### resumePerformanceMonitorByKey

    public void resumePerformanceMonitorByKey(PerformanceMonitorKey pmKey)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD